Bug 439135 - stack backtrace: possible recursive locking detected
stack backtrace: possible recursive locking detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 04:20 EDT by Dennis Björklund
Modified: 2009-07-14 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The kernel log (3.77 KB, text/plain)
2008-03-27 04:22 EDT, Dennis Björklund
no flags Details

  None (edit)
Description Dennis Björklund 2008-03-27 04:20:38 EDT
I booted the fedora 9 beta live cd and plugged in a usb blue tooth device. It
all worked and I could access my phone just as I normally do. But after that I
found this error in the kernel log:

Mar 27 08:09:57 localhost kernel: usb 4-2: new full speed USB device using
uhci_hcd and address 2
Mar 27 08:10:07 localhost kernel: usb 4-2: configuration #1 chosen from 1 choice
Mar 27 08:10:07 localhost kernel: usb 4-2: New USB device found, idVendor=0a5c,
idProduct=2021
Mar 27 08:10:07 localhost kernel: usb 4-2: New USB device strings: Mfr=1,
Product=2, SerialNumber=3
Mar 27 08:10:07 localhost kernel: usb 4-2: Product: BCM92035DGROM
Mar 27 08:10:07 localhost kernel: usb 4-2: Manufacturer: Broadcom
Mar 27 08:10:08 localhost kernel: Bluetooth: HCI USB driver ver 2.9
Mar 27 08:10:08 localhost hcid[2629]: HCI dev 0 registered
Mar 27 08:10:08 localhost kernel: usbcore: registered new interface driver hci_usb
Mar 27 08:10:09 localhost hcid[2629]: HCI dev 0 up
Mar 27 08:10:09 localhost hcid[2629]: Device hci0 has been added
Mar 27 08:10:09 localhost hcid[2629]: Starting security manager 0
Mar 27 08:10:09 localhost hcid[2629]: Device hci0 has been activated
Mar 27 08:10:57 localhost kernel: 
Mar 27 08:10:57 localhost kernel: =============================================
Mar 27 08:10:57 localhost kernel: [ INFO: possible recursive locking detected ]
Mar 27 08:10:57 localhost kernel: 2.6.25-0.121.rc5.git4.fc9 #1
Mar 27 08:10:57 localhost kernel: ---------------------------------------------
Mar 27 08:10:57 localhost kernel: obex-data-serve/3611 is trying to acquire lock:
Mar 27 08:10:57 localhost kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8bd9321>] l2cap_sock_bind+0x29/0x108 [l2cap]
Mar 27 08:10:57 localhost kernel: 
Mar 27 08:10:57 localhost kernel: but task is already holding lock:
Mar 27 08:10:57 localhost kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8dae136>] rfcomm_sock_connect+0x35/0xc2 [rfcomm]
Mar 27 08:10:57 localhost kernel: 
Mar 27 08:10:57 localhost kernel: other info that might help us debug this:
Mar 27 08:10:57 localhost kernel: 2 locks held by obex-data-serve/3611:
Mar 27 08:10:57 localhost kernel:  #0:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8dae136>] rfcomm_sock_connect+0x35/0xc2 [rfcomm]
Mar 27 08:10:57 localhost kernel:  #1:  (rfcomm_mutex){--..}, at: [<f8dad337>]
rfcomm_dlc_open+0x28/0x294 [rfcomm]
Mar 27 08:10:57 localhost kernel: 
Mar 27 08:10:57 localhost kernel: stack backtrace:
Mar 27 08:10:57 localhost kernel: Pid: 3611, comm: obex-data-serve Not tainted
2.6.25-0.121.rc5.git4.fc9 #1
Mar 27 08:10:57 localhost kernel:  [__lock_acquire+2287/3089]
__lock_acquire+0x8ef/0xc11
Mar 27 08:10:57 localhost kernel:  [sched_clock+8/11] ? sched_clock+0x8/0xb
Mar 27 08:10:57 localhost kernel:  [lock_acquire+106/144] lock_acquire+0x6a/0x90
Mar 27 08:10:57 localhost kernel:  [<f8bd9321>] ? l2cap_sock_bind+0x29/0x108 [l2cap]
Mar 27 08:10:57 localhost kernel:  [lock_sock_nested+182/198]
lock_sock_nested+0xb6/0xc6
Mar 27 08:10:57 localhost kernel:  [<f8bd9321>] ? l2cap_sock_bind+0x29/0x108 [l2cap]
Mar 27 08:10:57 localhost kernel:  [security_socket_post_create+22/27] ?
security_socket_post_create+0x16/0x1b
Mar 27 08:10:57 localhost kernel:  [__sock_create+388/472] ?
__sock_create+0x184/0x1d8
Mar 27 08:10:57 localhost kernel:  [<f8bd9321>] l2cap_sock_bind+0x29/0x108 [l2cap]
Mar 27 08:10:57 localhost kernel:  [kernel_bind+10/13] kernel_bind+0xa/0xd
Mar 27 08:10:57 localhost kernel:  [<f8dad3d7>] rfcomm_dlc_open+0xc8/0x294 [rfcomm]
Mar 27 08:10:57 localhost kernel:  [lock_sock_nested+187/198] ?
lock_sock_nested+0xbb/0xc6
Mar 27 08:10:57 localhost kernel:  [<f8dae18c>] rfcomm_sock_connect+0x8b/0xc2
[rfcomm]
Mar 27 08:10:57 localhost kernel:  [sys_connect+96/125] sys_connect+0x60/0x7d
Mar 27 08:10:57 localhost kernel:  [__lock_acquire+1370/3089] ?
__lock_acquire+0x55a/0xc11
Mar 27 08:10:57 localhost kernel:  [sys_socketcall+140/392]
sys_socketcall+0x8c/0x188
Mar 27 08:10:57 localhost kernel:  [syscall_call+7/11] syscall_call+0x7/0xb
Mar 27 08:10:57 localhost kernel:  =======================
Comment 1 Dennis Björklund 2008-03-27 04:22:36 EDT
Created attachment 299292 [details]
The kernel log

The kernel log text got line wrapped when I pasted it into the bug report so
I'll attach it as well. It's the same text as in the report itself.
Comment 2 Dave Jones 2008-03-27 12:22:10 EDT
sent to upstream netdev list for analysis.
Comment 3 Bug Zapper 2008-05-14 02:55:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:53:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:43:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.